Bug 285671 - windows guest domains don't start
windows guest domains don't start
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2007-09-11 03:44 EDT by Thomas Antony
Modified: 2009-12-14 15:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-14 13:54:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Antony 2007-09-11 03:44:00 EDT
Description of problem:
After i updated the server with the latest updates including 2.6.20-2931.fc7xen
and libvirt-0.3.2-1.fc7, all existing windows guest domains doesn't start
anymore and i can't install new windows guest domains.
A F7 x86_64 guest domains is running fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot
Actual results:
Windows guest domains don't start and it is not possible to install new windows

Expected results:
Start a windows guest domain

Additional info:

[thomas srv1 ~]$ sudo virt-install -d -n sbs -r 512 --vcpus=1 -f
/dev/VolGroup01/sbs -w bridge:virbr0 --vnc -k DE -v --arch=i386
--os-type=windows --os-variant=win2k3 -c /var/www/html/install/SBS2003R2DE_DVD.iso

Mon, 10 Sep 2007 20:38:28 DEBUG Path is block file: Assuming Block disk type.
Disk /dev/VolGroup01/sbs is already in use by another guest! Do you really want
to use the disk (yes or no)? y

Starting install...
libvir: Xen Daemon error : GET operation failed:
libvir: Xen Daemon error : GET operation failed:
Mon, 10 Sep 2007 20:38:31 DEBUG    Creating guest from '<domain type='xen'>
    <type arch='i386'>hvm</type>
    <boot dev='cdrom'/>
    <console device='pty'/>
    <disk type='block' device='disk'>
      <source dev='/dev/VolGroup01/sbs'/>
      <target dev='hda'/>
    <disk type='file' device='cdrom'>
      <source file='/var/www/html/install/SBS2003R2DE_DVD.iso'/>
      <target dev='hdc'/>

    <interface type='bridge'>
      <source bridge='virbr0'/>
      <mac address='00:16:3e:33:eb:7b'/>

    <graphics type='vnc' port='-1' keymap='DE' />

libvir: Xen Daemon error : POST operation failed: (xend.err "Error creating
domain: (12, 'Cannot allocate memory')") virDomainCreateLinux() failed POST
operation failed: (xend.err "Error creating domain: (12, 'Cannot allocate memory')")

Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start sbs'; otherwise, please
 restart your installation.

Mon, 10 Sep 2007 20:38:31 ERROR virDomainCreateLinux() failed POST operation
failed: (xend.err "Error creating domain: (12, 'Cannot allocate memory')")

Traceback (most recent call last):
  File "/usr/bin/virt-install", line 474, in <module>
  File "/usr/bin/virt-install", line 438, in main
    dom = guest.start_install(conscb,progresscb)

File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 710, in

    return self._do_install(consolecb, meter)

File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 727, in _do_install

    self.domain = self.conn.createLinux(install_xml, 0)

File "/usr/lib64/python2.5/site-packages/libvirt.py", line 563, in createLinux
if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: virDomainCreateLinux() failed POST operation failed: (xend.err
"Error creating domain: (12, 'Cannot allocate memory')")

[thomas srv1 ~]$ free
           total       used       free     shared    buffers     cached
Mem:       6154240    1312276    4841964          0     144660     600632
-/+ buffers/cache:     566984    5587256
Swap:      8323064          0    832306

Richard W.M. Jones thinks it he already has seen this and think it is a xen bug.
Comment 1 Thomas Antony 2007-11-12 19:25:42 EST
I can't remember what resolved my problem.
I think the updated xen packages and kernel-xen fixed the problems.
Comment 2 Bug Zapper 2008-05-14 10:19:21 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.